export interface IEventContext {
    readonly source: AEventDispatcher;
    readonly origin: AEventDispatcher;
    readonly type: string;
    readonly primaryType: string;
    readonly args: any[];
}
export default class AEventDispatcher {
    private listeners;
    private forwarder;
    constructor();
    on(type: string): (...args: any[]) => void;
    on(type: string | string[], listener: ((...args: any[]) => any) | null): AEventDispatcher;
    protected createEventList(): string[];
    protected fire(type: string | string[], ...args: any[]): void;
    private fireImpl(type, primaryType, origin, ...args);
    protected forward(from: AEventDispatcher, ...types: string[]): void;
    protected unforward(from: AEventDispatcher, ...types: string[]): void;
}
