import Popper from 'popper.js';
export interface IDialogOptions {
    title: string;
    hideOnClickOutside: boolean;
    hideOnMoveOutside: boolean;
    fullDialog: boolean;
    placement?: Popper.Placement;
    eventsEnabled?: boolean;
    modifiers?: Popper.Modifiers;
}
declare abstract class ADialog {
    readonly attachment: HTMLElement;
    private readonly options;
    readonly node: HTMLFormElement;
    private popper;
    constructor(attachment: HTMLElement, options?: Partial<IDialogOptions>);
    protected abstract build(node: HTMLElement): boolean | void;
    open(): void;
    protected find<T extends HTMLElement>(selector: string): T;
    protected findInput(selector: string): HTMLInputElement;
    protected forEach<T>(selector: string, callback: (d: HTMLElement, i: number) => T): T[];
    protected reset(): void;
    protected submit(): boolean;
    destroy(): void;
}
export default ADialog;
