import { IColumnDesc } from '../../model/Column';
import { IDataProvider } from '../../provider/ADataProvider';
import { IRankingHeaderContext } from '../interfaces';
import { ISearchBoxOptions } from './SearchBox';
import SidePanelEntry from './SidePanelEntry';
export interface ISidePanelOptions extends Partial<ISearchBoxOptions<SidePanelEntry>> {
    additionalDescs: IColumnDesc[];
    chooser: boolean;
    collapseable: boolean | 'collapsed';
}
export default class SidePanel {
    protected ctx: IRankingHeaderContext;
    protected readonly options: ISidePanelOptions;
    readonly node: HTMLElement;
    private readonly search;
    protected readonly descs: Map<IColumnDesc, SidePanelEntry>;
    protected data: IDataProvider;
    constructor(ctx: IRankingHeaderContext, document: Document, options?: Partial<ISidePanelOptions>);
    private init();
    protected initChooser(): void;
    private changeDataStorage(old, data);
    collapsed: boolean;
    update(ctx: IRankingHeaderContext): void;
    private updateStats();
    remove(): void;
    private columnOrder();
    private prepareListData();
    private updateList();
    protected static groupByType(entries: SidePanelEntry[]): {
        key: string;
        values: SidePanelEntry[];
    }[];
    protected updateChooser(): void;
}
